# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Remove.pm) perl(File/Spec/Functions.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Params/Util.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/Script.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(inc/Module/Install/DSL.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name ORLite-Array
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Array based objects for ORLite
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PM/PMAKHOLM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
ORLite is a light weight ORM specifically designed for used with SQLite
databases. By changing ORLite's hash based objects to using array based
objects we can cut away some time spend in DBI slicing the objects.

For some sample examples this has show the average time spend in the select()
method going from 350 os/call to 160 os/call.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/O*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

